#include<stdio.h>
#include<math.h>
int unos(int a[],int n)
{
for(int i=0;i<n;i++)
scanf("%d",&a[i]);
}
int promena(int a[],int n)
{
int j,i,x=0,max,l=-1;
do
{	
max=a[x];
for(i=x+1;i<n;i++)
if(a[i]>=max)
max=a[i],j=i;
if(max>a[x]||j==x)
{
int temp=a[j];
a[j]=a[x];
a[x]=temp;
l++;
}
x++;
}
while(x<n-1&&(a[x-1]!=max||l!=0));
if(l!=0)
{
int min,x=0,y=0;
min=max=a[0];
for(int i=1;i<n;i++)
{
if(a[i]>max)
max=a[i],x=i;
if(a[i]<min)
min=a[i],y=i;
}
{
int temp=a[x];
a[x]=a[y];
a[y]=temp;
}
}
}
int ispis(int a[],int n)
{
for(int i=0;i<n;i++)
printf("%d ",a[i]);
}
main()
{
int a[100],n;
scanf("%d",&n);
unos(a,n);
promena(a,n);
ispis(a,n);
}